Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.whowas
Class EPPWhoWasRecord

    java.lang.Object
      com.verisign.epp.codec.whowas.EPPWhoWasRecord

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPWhoWasRecord

extends java.lang.Object
implements EPPCodecComponent

Represents a single history record for the given entity name or identifier. This class is represented by <whowas:rec> element and is returned as child element of <whowas:history> element. Each history record will have transaction date, name, new name, roid, operation, client id and client name attributes.

Version:
  1.0
Author:
  Deepak Deshpande
See Also:
  Serialized Form

Constructor Summary
`EPPWhoWasRecord()` Default constructor
`EPPWhoWasRecord(java.lang.String aName, java.lang.String aRoid, java.util.Date aTransactionDate, java.lang.String aOperation, java.lang.String aClientID, java.lang.String aClientName)` Constructs `EPPWhoWasRecord` with passed in parameters.
`EPPWhoWasRecord(java.lang.String aName, java.lang.String aRoid, java.lang.String aNewName, java.util.Date aTransactionDate, java.lang.String aOperation, java.lang.String aClientID, java.lang.String aClientName)` Constructs `EPPWhoWasRecord` with passed in parameters.

Method Summary
`java.lang.Object` | `clone()` Does a deep clone of the `EPPWhoWasRecord` instance.
`void` | `decode(org.w3c.dom.Element aElement)` Decodes the `EPPWhoWasRecord` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Returns the Root DOM Element tree from the attributes of the `EPPWhoWasRecord` instance.
`boolean` | `equals(java.lang.Object o)` Compares two `EPPWhoWasRecord` instances.
`java.lang.String` | `getClientID()` Returns the clientID
`java.lang.String` | `getClientName()` Returns the clientName
`java.lang.String` | `getName()` Returns the name
`java.lang.String` | `getNewName()` Returns the newName
`java.lang.String` | `getOperation()` Returns the operation
`java.lang.String` | `getRoid()` Returns the Registry Object IDentifier (roid).
`java.util.Date` | `getTransactionDate()` Returns the transactionDate
`void` | `setClientID(java.lang.String aClientID)` Sets clientID value to `aClientID`.
`void` | `setClientName(java.lang.String aClientName)` Sets clientName value to `aClientName`.
`void` | `setName(java.lang.String aName)` Sets name value to `aName`.
`void` | `setNewName(java.lang.String aNewName)` Sets newName value to `aNewName`
`void` | `setOperation(java.lang.String aOperation)` Sets operation value to `aOperation`.
`void` | `setRoid(java.lang.String aRoid)` Sets Registry Object IDentifier (roid) value to `aRoid`.
`void` | `setTransactionDate(java.util.Date aTransactionDate)` Sets transactionDate value to `aTransactionDate`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPWhoWasRecord

    public EPPWhoWasRecord()

  Default constructor

### EPPWhoWasRecord

    public EPPWhoWasRecord(java.lang.String aName,
                           java.lang.String aRoid,
                           java.util.Date aTransactionDate,
                           java.lang.String aOperation,
                           java.lang.String aClientID,
                           java.lang.String aClientName)

  Constructs `EPPWhoWasRecord` with passed in parameters.

  Parameters:
    `aName` - - Record Name
    `aRoid` - - Record Roid
    `aTransactionDate` - - Record Transaction Date
    `aOperation` - - Record Operation Name
    `aClientID` - - Record Client ID
    `aClientName` - - Record client name for the client ID.

### EPPWhoWasRecord

    public EPPWhoWasRecord(java.lang.String aName,
                           java.lang.String aRoid,
                           java.lang.String aNewName,
                           java.util.Date aTransactionDate,
                           java.lang.String aOperation,
                           java.lang.String aClientID,
                           java.lang.String aClientName)

  Constructs `EPPWhoWasRecord` with passed in parameters.

  Parameters:
    `aName` - - Record Name
    `aRoid` - - Record Roid
    `aNewName` - - Record New Name if any
    `aTransactionDate` - - Record Transaction Date
    `aOperation` - - Record Operation Name
    `aClientID` - - Record Client ID
    `aClientName` - - Record client name for the client ID.

Method Detail

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decodes the `EPPWhoWasRecord` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - - Root DOM Element to decode `EPPWhoWasRecord` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Returns the Root DOM Element tree from the attributes of the `EPPWhoWasRecord` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - - DOM Document that is being built. Used as an Element factory.
  Returns:
    the Root DOM Element representing the `EPPWhoWasRecord` instance.
  Throws:
    `EPPEncodeException` - - Unable to encode `EPPWhoWasRecord` instance.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Does a deep clone of the `EPPWhoWasRecord` instance.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Cloned instance
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### equals

    public boolean equals(java.lang.Object o)

  Compares two `EPPWhoWasRecord` instances.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    `true` if equal;`false` otherwise.

### getTransactionDate

    public java.util.Date getTransactionDate()

  Returns the transactionDate

  Returns:
    the transactionDate

### setTransactionDate

    public void setTransactionDate(java.util.Date aTransactionDate)

  Sets transactionDate value to `aTransactionDate`.

  Parameters:
    `aTransactionDate` - the transactionDate to set

### getName

    public java.lang.String getName()

  Returns the name

  Returns:
    the name

### setName

    public void setName(java.lang.String aName)

  Sets name value to `aName`.

  Parameters:
    `aName` - the name to set

### getNewName

    public java.lang.String getNewName()

  Returns the newName

  Returns:
    the newName

### setNewName

    public void setNewName(java.lang.String aNewName)

  Sets newName value to `aNewName`

  Parameters:
    `aNewName` - the newName to set

### getRoid

    public java.lang.String getRoid()

  Returns the Registry Object IDentifier (roid).

  Returns:
    the roid

### setRoid

    public void setRoid(java.lang.String aRoid)

  Sets Registry Object IDentifier (roid) value to `aRoid`.

  Parameters:
    `aRoid` - the roid to set

### getOperation

    public java.lang.String getOperation()

  Returns the operation

  Returns:
    the operation

### setOperation

    public void setOperation(java.lang.String aOperation)

  Sets operation value to `aOperation`.

  Parameters:
    `aOperation` - the operation to set

### getClientID

    public java.lang.String getClientID()

  Returns the clientID

  Returns:
    the clientID

### setClientID

    public void setClientID(java.lang.String aClientID)

  Sets clientID value to `aClientID`.

  Parameters:
    `aClientID` - the clientID to set

### getClientName

    public java.lang.String getClientName()

  Returns the clientName

  Returns:
    the clientName

### setClientName

    public void setClientName(java.lang.String aClientName)

  Sets clientName value to `aClientName`.

  Parameters:
    `aClientName` - the clientName to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.